查看: 1094|回复: 24

[vSphere] VCENTER 6.5U1升级失败---已成功升级!

[复制链接]
发表于 9-6-2017 20:45:47 | 显示全部楼层 |阅读模式
本帖最后由 linbookworm 于 9-10-2017 08:52 编辑

升级前环境:服务器操作系统win2012 64位,VCENTER 6.0U3,使用一切正常。

安装过程:使用vmware-VIM-all-6.5.0-5973321.iso加载虚拟光驱,安装组件:vcenter 6.5U1、UPDATE MANAGER,安装过程一切顺利,未提示报错。安装完成后打开WEB CLIENT正常。

重启服务器后,发现WEB CLIENT连接不到服务器了!服务器可ping通,可远程登录,登录服务器检查各服务均正常启动,但WEB CLIENT始终连不上服务器(浏览器firefox),目测估计是Apache Tomcat没有启动。由于虚机上运行的业务系统已经开始反馈出现问题,VCENTER不敢断开太久,因此未做深入排查就用前一天备份恢复回去。

升级vcenter 6.5U1未重启前,打开WEB CLIENT正常;重启后始终无法打开WEB CLIENT,个人估计是Apache Tomcat没有启动。之前5.0-5.5-6.0多次升级VCENTER均未发现类似问题。请问论坛的大神们,有没有遇到类似的问题?如何解决?望不吝赐教,谢谢!

分享到:
 楼主| 发表于 9-7-2017 00:32:34 | 显示全部楼层
本帖最后由 linbookworm 于 9-7-2017 00:33 编辑

请问大神,VCENTER中提供WEB服务器的服务是哪个?
 楼主| 发表于 9-7-2017 01:09:40 | 显示全部楼层
还有,web client连不上时,443端口并未被占用
 楼主| 发表于 9-7-2017 18:24:26 | 显示全部楼层
论坛的大神们有无遇到类似问题?望不吝赐教!谢谢!
发表于 9-8-2017 13:43:52 | 显示全部楼层
你的2012是什么版本的?我先前装了一个老提2012,VC装好后重点就用不了了。后来换了个2014年底的2012系统就没问题
 楼主| 发表于 9-8-2017 15:33:21 | 显示全部楼层
跟操作系统有关系?是Win2012 R2 with update
 楼主| 发表于 9-8-2017 17:57:09 | 显示全部楼层
尝试用VCSA升级工具将WINDOWS版VCENTER迁移至VCSA,运行至第二步导入原VCENTER数据库时,出现“No file found matching /etc/vmware-vpx/vcdb.properties
No file found matching /etc/vmware-vpx/vc-extn-cisreg.prop”报错,无法继续,迁移失败。

从VCENTER 6.0U3 windows版升级至6.5U1,WINDOWS版本和VCSA都失败,请问大神升级的时候有没有出现类似问题,不吝赐教,谢谢!
 楼主| 发表于 9-9-2017 10:12:47 | 显示全部楼层
请问大神升级的时候有没有出现类似问题,望不吝赐教,谢谢!
 楼主| 发表于 9-10-2017 08:31:59 | 显示全部楼层
本帖最后由 linbookworm 于 9-10-2017 08:33 编辑

已成功将VCENTER 6.0U3 windows版升级至6.5U1 VCSA!
第一阶段将6.5U1 VCSA部署到ESXI,这个阶段按提示操作即可,不详述。
第二阶段选择将源VCENTER数据时,选择“配置”即可。

第一次迁移失败是因为选择“配置、事件、任务和性能衡量指标”,由于源VCENTER server 历经5.0-5.5-6.0多次升级,已使用N年,“事件、任务和性能衡量指标”中含有错误数据,导致迁移失败。
D:\TIM图片20170909232642.png
TIM图片20170909232642.png
 楼主| 发表于 9-10-2017 08:37:49 | 显示全部楼层
本帖最后由 linbookworm 于 9-10-2017 08:54 编辑

顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!
 楼主| 发表于 9-10-2017 08:47:26 | 显示全部楼层
VCSA从6.5开始即已经是完全功能版,且VMWARE未来方向明显是去MICROSOFT化,有可能未来取消WINDOWS版VCENTER。使用下来发现VCSA各方面都优于WINDOWS版VCENTER,大家如果初次部署VCENTER、升级6.5U1,都强烈建议选择VCSA。

另,VCENTER SERVER不管是WINDOWS版还是VCSA,都不要部署到自己管理的ESXI里面,会带来很多相当麻烦吐血的问题。建议可部署独立服务器ESXI,有条件的建议做成HA,每天VEEAM备份,这样才是正确的部署方式。
发表于 9-10-2017 22:03:24 | 显示全部楼层
赞,linux版本vcsa没有问题就好,还有现在6.5应该可以web界面管理psql
来自苹果客户端来自苹果客户端
 楼主| 发表于 9-11-2017 10:25:42 | 显示全部楼层
VCSA中提供了PSQL备份功能,已经比WIN版好了,win版要自己手动做数据库备份。
 楼主| 发表于 9-11-2017 21:06:50 来自手机 | 显示全部楼层
顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!
 楼主| 发表于 9-11-2017 21:23:08 来自手机 | 显示全部楼层
顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!
 楼主| 发表于 9-11-2017 21:23:08 来自手机 | 显示全部楼层
顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!
 楼主| 发表于 9-11-2017 21:51:26 来自手机 | 显示全部楼层
顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!
发表于 9-11-2017 22:13:01 | 显示全部楼层
老哥稳的  必须赞一个
 楼主| 发表于 9-12-2017 19:55:14 来自手机 | 显示全部楼层
顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!
发表于 9-13-2017 08:40:00 | 显示全部楼层
分享了好经验,也打算5.5U2升6.5U1
 楼主| 发表于 9-13-2017 21:02:12 来自手机 | 显示全部楼层
顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!
发表于 9-15-2017 08:44:59 | 显示全部楼层
主机名:localhost.localdom
类型:vCenter Server with an embedded Platform Services Controller
产品:VMware vCenter Server Appliance
版本:6.0.0.30200

这个vcsa能够升级6.5U1吗
发表于 9-15-2017 15:40:34 | 显示全部楼层
标记一下,谢谢哈,虽然暂时用不上
 楼主| 发表于 9-15-2017 22:19:51 | 显示全部楼层
回复22楼,可以升级。升级过程分2个步骤:1. 新建一台6.5U1的空白VCSA;2. 将源数据库导入VCSA。比WIN版VCENTER升级简单很多。
发表于 9-18-2017 09:33:12 | 显示全部楼层
顶上去,让更多升级VCENTER 6.5 U1遇到类似问题的人少走弯路,祝大家升级成功!!
您需要登录后才可以回帖 登录 | 我要注册 一键登录: 更多»

本版积分规则

快速回复 返回顶部 返回列表